<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Competitor extends Model
{
    /**
     * Mass Assignable Attributes
     *
     * @var array
     **/
    protected $fillable = [
        'name'
    ];

    /**
     * Competitor product relationships
     *
     * @return Product Object
     * @author mattsidjohn
     **/
    public function products()
    {
        return $this->hasMany(
            CompetitorProduct::class,
            'competitor_id'
        );
    }

    /**
     * Cross reference relationships
     *
     * @return Product object
     * @author mattsidjohn
     **/
    public function crossReference()
    {
        return $this->belongsToMany(
            Product::class,
            'products_competitor_products',
            'product_id'
        );
    }
}
