<?php

namespace App\Http\Controllers\Api\V1;

use Illuminate\Http\Request;
use App\Http\Resources\ProductResource;
use App\Http\Controllers\Controller;
use App\CompetitorProduct;

class CrossReferenceController extends Controller
{
    /**
     * Returns cross referenced NAPCO products on a given competitor.
     *
     * @return Napco Product Object
     * @author mattsidjohn
    **/
    public function getAll($item_number)
    {
        $competitorProduct = CompetitorProduct::where('item_number', $item_number)->first();

        $products = $competitorProduct->napcoVariations()->with([
            'product',
            'product.categories'
        ])->get();

        return new ProductResource($products);
    }
}
