<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Services\Import;

class ImportController extends Controller
{
    /**
     * Bind Classes to $this.
     *
     * @return void
     */
    public function __construct(
        Import $import,
        Request $request
    ) {
        $this->import = $import;
        $this->request = $request;
    }

    /**
     * Run an import from Expression Engine.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        try {
            // Consume the import request into its requested types.
            $types = explode(':', $this->request->type);

            // Iterate through the types and run the requested import.
            foreach ($types as $type) {
                // Extract contents of export file.
                $contents = file_get_contents('https://napcobag.com/assets/exports/' . $type .'.txt');

                // Transpose into a collectable object.
                $collection = collect((object) json_decode($contents));

                // Send the collection and type to the receiver of the import
                $this->import->receive($type, $collection);
            }
        } catch (Exception $e) {
            return $e;
        }
    }
}
