<?php

namespace App\Services;

use Auth;
use App\WorkOrder;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Facades\DataTables;
use App\CompetitorProduct;
use Carbon\Carbon;

class DataTablesService
{
    /**
     * All Work Orders
     *
     * @return query string
     */
    public function handle($type, $model, $request)
    {
        switch ($type) {
            case 'competitorProducts':
                $query = CompetitorProduct::where('competitor_id', $model->id);
                return $this->competitorProducts($query);
                break;
            default:
                return 'No type Specified.';
                break;
        }
    }

    /**
     * Loads resources for AJAX DataTables
     *
     * @param  query string  $query
     * @return json string
     */
    protected function competitorProducts($query)
    {
        return DataTables::eloquent($query)
            // Actions// Actions
            ->addColumn('actions', function (CompetitorProduct $product) {
                return view('competitors.products.columns.actions', compact('product'));
            })
            ->rawColumns(['actions'])
            ->toJson();
    }
}
