<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     * @author mattsidjohn
     */
    public function up()
    {
        Schema::create('user_users', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('sales_manager_id')->unsigned();
            $table->integer('sales_rep_id')->unsigned();

            $table->foreign('sales_manager_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('sales_rep_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     * @author mattsidjohn
     */
    public function down()
    {
        Schema::dropIfExists('user_users');
    }
}
