let Napco = {
  init: function() {

    /**
     * Flash Data
     */
    let $elem = $('.ui-flash-data')
    if ($elem[0]){
      $.gritter.add({
        title: $elem.data('title'),
        text: $elem.data('text'),
        time: 3000,
        class_name: 'color ' + $elem.data('color')
      })
    }

    /**
     * Datatables
     */
    $.extend( true, $.fn.dataTable.defaults, {
      stateSave: true,
      processing: true,
      scrollX: true,
      fixedColumns: {
        leftColums: 1
      },
      createdRow: function(row, data, dataIndex) {
        $(row).find('td:last').attr('class', 'table-actions')
      },
      dom:
      "<'row am-datatable-header'<'col-sm-6'f><'col-sm-6'p>>" +
      "<'row am-datatable-body'<'col-sm-12'tr>>" +
      "<'row am-datatable-footer'<'col-sm-5'i><'col-sm-7'l>>"
    })
    let $datatable = $(".datatable").dataTable()

    /**
     * Modals
     */
    $.fn.niftyModal('setDefaults', {
      overlaySelector: '.modal-overlay',
      contentSelector: '.modal-content',
      closeSelector: '.modal-close',
      classAddAfterOpen: 'modal-show',
      classModalOpen: 'modal-open',
      classScrollbarMeasure: 'modal-scrollbar-measure',
      afterOpen: function(){
        $("html").addClass('am-modal-open')
      },
      afterClose: function(){
        $("html").removeClass('am-modal-open')
      }
    })

    /**
     * Delete Items
     */
    $('body').on('click', '.ui-delete, [ui-delete]', function(e) {
      e.preventDefault()

      let $btn = $(this)
      $('.delete-modal').niftyModal({
        buttons: [
          {
            class: 'btn-yes',
            callback: function ( btn, modal, event ) {
              alert();
              $.ajax({
                method: 'DELETE',
                url: $btn.attr('href'),
                data: {'_token': $('meta[name="csrf-token"]').attr('content')}
              }).done(function(data) {
                $btn.closest('.ui-parent').remove()

                $.gritter.add({
                  title: 'Success',
                  text: data.name + ' was deleted successfully',
                  time: 3000,
                  class_name: 'color success'
                })
              })
            }
          }
        ]
      })
    })

    /**
     * Filter results
     */
    $('body').on('change', '[data-filter]', function(e) {
      console.log('test');
      $(this).closest('form').submit();
    })

    /**
     * Work Order Assignment
     */
    // $('')
  }
}

/**
 * Dom Read
 */
$(document).ready(function(){
  Theme.init()
  Forms.init()
  Napco.init()
})

/**
 * Page Loaded
 */
$(document).load(function() {
  // Masonry
  $('.masonry').masonry({
    itemSelector: '.masonry-item'
  })
})

/**
 * Search List
 */
$(function() {
  var options = {
    valueNames: ['name', 'email', 'attached']
  }

  var userList = new List('usersList', options);

  $('#search-field').on('keyup', function() {
    userList.search($(this).val());
  });
})


/**
 * Search List
 */
$(function() {
  $('[data-delete-user]').on('click', function(e) {
    e.preventDefault();
    var $this = $(this);
    $('#md-slideUp').niftyModal('show'); 
    $('[data-confirm-delete]').on('click', function() {
      $this.next('form').trigger('submit');
    });
  });

  $('[data-delete-competitor]').on('click', function(e) {
    e.preventDefault();
    var $this = $(this);
    $('#md-slideUp').niftyModal('show'); 
    $('[data-confirm-delete]').on('click', function() {
      $this.next('form').trigger('submit');
    });
  });
})
