@extends('layouts.auth')

@section('content')

    <div class="login-container">
        <div class="panel panel-default">
            <div class="panel-heading"><span>Please enter your user information.</span></div>
            <div class="panel-body">
                {{ session('unauthorized') }}
                <form class="form-horizontal" method="POST" action="{{ route('login') }}">
                    {{ csrf_field() }}
                    <div class="login-form">
                        <div class="form-group">
                            <div class="input-group"><span class="input-group-addon"><i class="icon s7-user"></i></span>
                                <input id="email" type="email" placeholder="email" name="email" autocomplete="off" class="form-control">

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group"><span class="input-group-addon"><i class="icon s7-lock"></i></span>
                                <input id="password" type="password" placeholder="password" name="password" class="form-control">

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group login-submit">
                            <button data-dismiss="modal" type="submit" class="btn btn-primary btn-lg">Log me in</button>
                        </div>
                        <div class="form-group footer row">
                            <div class="col-xs-6"><a href="{{ route('password.request') }}">Forgot Password?</a></div>
                            <div class="col-xs-6 remember">
                                <label for="remember">Remember Me</label>
                                <div class="am-checkbox">
                                    <input type="checkbox" name="remember" class="needsclick" {{ old('remember') ? 'checked' : '' }}>
                                    <label for="remember"></label>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
