@extends('layouts.app')

@section('title', 'Competitors')

@section('content')

    <div class="page-head">
        <a href="{{ route('competitors.create') }}" class="btn btn-success pull-right "><i class="icon s7-plus"></i> Create Competitor</a>
        <h2>Competitors</h2>
    </div>
    <div class="main-content">
        <div class="row">
            <div class="col-sm-12">
                <div class="chat-search">
                    <input type="text" placeholder="Search..." id="search-field"><span class="s7-search"></span>
                </div> 
            </div>
        </div>
    </div>
    <div class="main-content" id="competitorsList">
        <div class="row">
            <ul class="list list-unstyled">
                @foreach ($competitors as $competitor)
                    <li class="col-sm-4">
                        <div class="panel panel-default">
                            <div class="panel-heading no-border">
                                <h3><span class="title name">{{ $competitor->name }}</span></h3>
                                <h5><small class="email">{{$competitor->email}}</small></h5>
                                <div class="xs-mt-30">
                                    <a href="{{ route('competitors.products.index', $competitor->id) }}" id="not-success" class="btn btn-space btn-success action-btn btn-xs">View Products</a>
                                    <a href="{{ route('competitors.edit', $competitor->id) }}" id="not-success" class="btn btn-space btn-success action-btn btn-xs">Edit</a>
                                    <a href="" id="" class="btn btn-space btn-subtle btn-xs" data-delete-competitor>Delete</a>
                                    <form action="{{ route('competitors.destroy', $competitor->id) }}" method="post" data-delete-competitor-form>
                                        {{csrf_field()}}
                                        <input type="hidden" name="_method" value="DELETE">
                                    </form>
                                </div>
                            </div>
                        </div>
                    </li> 
                @endforeach 
            </ul>
        </div>
    </div>

@endsection

@section('modals')
    <div id="md-slideUp" class="modal-container modal-effect-3">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" data-dismiss="modal" aria-hidden="true" class="close modal-close"><i class="icon s7-close"></i></button>
            </div>
            <div class="modal-body">
                <div class="text-center">
                    <div class="i-circle text-warning"><i class="icon s7-attention"></i></div>
                    <h4>Are you sure...</h4>
                    <p>you want to delete this competitor?</p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-default pull-left modal-close">Cancel</button>
                <button type="button" data-dismiss="modal" class="btn btn-warning" data-confirm-delete>Delete</button>
            </div>
        </div>
    </div>
    <div class="modal-overlay"></div>
@endsection
