@extends('layouts.app')

@section('title', 'Create Competitor')

@section('content')

    <div class="page-head">
        <h2>Edit {{ $product->item_number }}</h2>
    </div>
    <div class="main-content">
        <div class="user-profile">
            <div class="row">
                <div class="col-sm-12">
                    <div class="info-block panel panel-default">
                        <div class="panel-body">
                            {{ Form::model($product, [
	                            	'route' => [
	                            		'competitors.products.update',
	                            		$competitor->id,
	                            		$product->id
	                            	],
	                            	'method' => 'PUT'
	                            ]) }}
                                @include('competitors.products._products-form')
                            {{ Form::close() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @role('administrator')
        {{ Form::model($product, [
          	'route' => [
          		'crossReference.sync',
          		$competitor->id,
          		$product->id
          	],
          	'method' => 'PUT'
          ]) }}
            <div class="main-content">
                <div class="row">
                    <div class="col-sm-8 col-xs-12">
                        <div class="chat-search">
                            <input type="text" placeholder="Search..." id="search-field"><span class="s7-search"></span>
                            <small class="search-directions"><i>Search "attached" for all attached products.</i></small>
                        </div> 
                    </div>
                    <div class="col-md-4">
                        {!! Form::button('<i class="icon s7-check"></i> Attach Napco Products', ['type' => 'submit', 'class' => 'col-xs-12 btn btn-alt1', 'style' => 'padding:18px 0px !important; ']) !!}  
                    </div>
                </div>
            </div>
            <div class="main-content" id="usersList">
                <div class="row">
                    <ul class="list list-unstyled">
                        @foreach ($napcoVariations as $napcoVariation)
                            <li class="col-sm-4">
                                <div class="panel panel-default">
                                    <div class="panel-heading no-border">
                                    		@if(in_array($napcoVariation->id, $product->napcoVariations->pluck('id')->toArray()))
			                                  	<span class="attached" style="display:none;">Attached</span>
                                    		@endif
                                        <h3><span class="title name">{{ $napcoVariation->item_number }}</span></h3>
                                        <h5><small class="email">{{ (empty($napcoVariation->product)) ?: $napcoVariation->product->name }}</small></h5>
                                        <div class="xs-mt-30">
                                            <hr>

                                            {{ Form::mwicheckbox(
                                                '', 'napcoVariations[]',
                                                ['Attach Product' => $napcoVariation->id],
                                                (in_array($napcoVariation->id, $product->napcoVariations->pluck('id')->toArray()))
                                                    ? 1 : 0
                                            )  }}
                                        </div>
                                    </div>
                                </div>
                            </li> 
                        @endforeach 
                    </ul>
                </div>
            </div>
        {{ Form::close() }}
    @endrole

@endsection
