@extends('layouts.app')

@section('title', 'Competitor Products')

@section('content')

    <div class="page-head">
        <a href="{{ route('competitors.products.create', $competitor->id) }}" class="btn btn-success pull-right xs-mt-20"><i class="icon s7-plus"></i> New</a>
        <h2>{{ $competitor->name }} Products</h2>
    </div>
    <div class="main-content">
        <div class="row">
            <div class="col-md-12">
                <div class="widget widget-small">
                    <table 
                        data-ajax="/competitors/{{ $competitor->id }}/products"
                        data-processing="true"
                        data-server-side="true"
                        class="table table-striped table-hover datatable">
                        <thead>
                            <tr>
                                <th data-data="actions" class="table-actions">Actions</th>
                                <th data-data="item_number">Item #</th>
                                <th data-data="brand_name">Brand Name</th>
                                <th data-data="material_type">Material Type</th>
                                <th data-data="gallon_capacity">Gallon Capacity</th>
                                <th data-data="width">Width</th>
                                <th data-data="length">Length</th>
                                <th data-data="bag_gauge">Bag Gauge</th>
                                <th data-data="strength">Strength</th>
                                <th data-data="color">Color</th>
                                <th data-data="case_count">Case Count</th>
                                <th data-data="rolls_bags">Rolls Bags</th>
                                <th data-data="packaging_style">Packaging Style</th>
                                <th data-data="bottom_seal">Bottom Seal</th>
                                <th data-data="max_dry_load">Max Dry Load</th>
                                <th data-data="skid_count">Skid Count</th>
                                <th data-data="case_weight">Case Weight</th>
                                <th data-data="cube">Cube</th>
                                <th data-data="min_qty">Min Qty</th>
                                <th data-data="upc">UPC</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('modals')
    <div id="full-danger" class="delete-modal modal-container modal-full-color modal-full-color-danger modal-effect-5">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" data-dismiss="modal" aria-hidden="true" class="close modal-close"><i class="icon s7-close"></i></button>
                <h3 class="modal-title">Delete Work Order</h3>
            </div>
            <div class="modal-body">
                <div class="text-center">
                    <div class="i-circle success"><i class="icon s7-check"></i></div>
                    <h4>Are You Sure!?</h4>
                    <p>Are you sure you want to delete this work order?</p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-default pull-left modal-close btn-no">No</button>
                <button type="button" data-dismiss="modal" class="btn btn-dark modal-close btn-yes">Yes</button>
            </div>
        </div>
    </div>
    <div class="modal-overlay"></div>
@endsection
