<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title', 'Marmic Fire Services')</title>

    <!-- Styles -->
    {{-- <link rel="stylesheet" type="text/css" href="/assets/lib/jquery.nanoscroller/css/nanoscroller.css"/> --}}
<!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    {{-- <link rel="stylesheet" type="text/css" href="/assets/lib/jquery.vectormap/jquery-jvectormap-1.2.2.css"/> --}}
    <link href="{{ mix('build/css/theme.css') }}" rel="stylesheet">
    <link href="{{ mix('build/css/app.css') }}" rel="stylesheet">

    @yield('styles')
</head>
<body>
    @if (session('success'))
        <div class="ui-flash-data" data-title="Success!" data-text="{{ session('success') }}" data-color="success"></div>
    @endif

    <div class="am-wrapper am-fixed-sidebar">
        @include('partials.header')

        @include('partials.left-sidebar')

        <div class="am-content">
            @yield('content')
        </div>

        {{-- @include('partials.right-sidebar') --}}
    </div>

    @yield('modals')

    <!-- Scripts -->
    <script src="{{ mix('build/js/core.js') }}"></script>
    <script src="{{ mix('build/js/theme.js') }}"></script>
    <script src="{{ mix('build/js/vendor.js') }}"></script>
    @yield('scripts')

    <script src="{{ mix('build/js/app.js') }}"></script>
</body>
</html>
