@extends('layouts.app')

@section('title', 'Users')

@section('content')

    <div class="page-head">
        <a href="{{ route('users.create') }}" class="btn btn-success pull-right xs-mt-20"><i class="icon s7-plus"></i> Create User</a>
        <h2>Users</h2>
        <ol class="breadcrumb">
            <li><a href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="active">Users</li>
        </ol>
    </div>
    <div class="main-content">
        <div class="row">
            <div class="col-md-12">
                <div class="widget widget-small">
                    <table 
                        data-ajax="/users"
                        data-processing="true"
                        data-server-side="true"
                        class="table table-striped table-hover datatable">
                        <thead>
                            <tr>
                                <th data-data="id">Id</th>
                                <th data-data="name">Name</th>
                                <th data-data="email">Email</th>
                                <th data-data="roles">Role</th>
                                <th data-data="actions" class="table-actions"></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('modals')
    <div id="full-danger" class="delete-modal modal-container modal-full-color modal-full-color-danger modal-effect-5">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" data-dismiss="modal" aria-hidden="true" class="close modal-close"><i class="icon s7-close"></i></button>
                <h3 class="modal-title">Delete User</h3>
            </div>
            <div class="modal-body">
                <div class="text-center">
                    <div class="i-circle success"><i class="icon s7-check"></i></div>
                    <h4>Are You Sure!?</h4>
                    <p>Are you sure you want to delete this user?</p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-default pull-left modal-close btn-no">No</button>
                <button type="button" data-dismiss="modal" class="btn btn-dark modal-close btn-yes">Yes</button>
            </div>
        </div>
    </div>

    <div class="modal-overlay"></div>
@endsection
