@extends('layouts.app')

@section('title', 'Work Orders')

@section('content')

    <div class="page-head">
        <a href="{{ route('work-orders.create') }}" class="btn btn-success pull-right xs-mt-20"><i class="icon s7-plus"></i> New</a>
        <h2>Work Orders</h2>
        <ol class="breadcrumb">
            <li><a href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="active">Work Orders</li>
        </ol>
    </div>
    <div class="main-content">
        <div class="row">
            <div class="col-md-12">
                <div class="widget filter-bar">
                    <div class="row">
                        {{ Form::open(['method' => 'get']) }}
                        <div class="col-md-4">
                            {{ Form::mwiselect('tech', $techs, request()->tech, ['class' => 'select2', 'data-filter']) }}
                        </div>
                        <div class="col-md-4">
                            {{ Form::mwiselect('company', $companies, request()->company, ['class' => 'select2', 'data-filter']) }}
                        </div>
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="widget widget-small">
                    <table 
                        data-ajax="/work-orders?{{ http_build_query(request()->query()) }}"
                        data-processing="true"
                        data-server-side="true"
                        class="table table-striped table-hover datatable">
                        <thead>
                            <tr>
                                <th data-data="id" data-name="work_orders.id">#</th>
                                <th data-data="customer_name">Customer</th>
                                <th data-data="full_address">Address</th>
                                <th data-data="category" data-name="category">Service Category</th>
                                <th data-data="assigned_tech">Assigned</th>
                                <th data-data="created_at">Date</th>
                                <th data-data="actions" class="table-actions"></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('modals')
    <div id="full-danger" class="delete-modal modal-container modal-full-color modal-full-color-danger modal-effect-5">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" data-dismiss="modal" aria-hidden="true" class="close modal-close"><i class="icon s7-close"></i></button>
                <h3 class="modal-title">Delete Work Order</h3>
            </div>
            <div class="modal-body">
                <div class="text-center">
                    <div class="i-circle success"><i class="icon s7-check"></i></div>
                    <h4>Are You Sure!?</h4>
                    <p>Are you sure you want to delete this work order?</p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-default pull-left modal-close btn-no">No</button>
                <button type="button" data-dismiss="modal" class="btn btn-dark modal-close btn-yes">Yes</button>
            </div>
        </div>
    </div>

    <div id="tech-assignment" class="modal-container modal-colored-header modal-colored-header-info modal-effect-5">
        <div class="modal-content">
            {{ Form::open(['route' => 'work-orders.assign']) }}
                <div class="modal-header">
                    <button type="button" data-dismiss="modal" aria-hidden="true" class="close modal-close"><i class="icon s7-close"></i></button>
                    <h3 class="modal-title">Tech Assignment</h3>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <div class="i-circle success"><i class="icon s7-check"></i></div>
                        <h4>Choose Technician</h4>
                        {{ Form::hidden('work_order_id') }}
                        {{ Form::select('user_id', $techs, null, ['class' => 'select2']) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" data-dismiss="modal" class="btn btn-info btn-yes">Assign</button>
                </div>
            {{ Form::close() }}
        </div>
    </div>

    <div class="modal-overlay"></div>
@endsection
