<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo $__env->yieldContent('title', 'Marmic Fire Services'); ?></title>

    <!-- Styles -->
    
<!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <link href="<?php echo e(mix('build/css/theme.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(mix('build/css/app.css')); ?>" rel="stylesheet">

    <?php echo $__env->yieldContent('styles'); ?>
</head>
<body>
    <?php if(session('success')): ?>
        <div class="ui-flash-data" data-title="Success!" data-text="<?php echo e(session('success')); ?>" data-color="success"></div>
    <?php endif; ?>

    <div class="am-wrapper am-fixed-sidebar">
        <?php echo $__env->make('partials.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

        <?php echo $__env->make('partials.left-sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

        <div class="am-content">
            <?php echo $__env->yieldContent('content'); ?>
        </div>

        
    </div>

    <?php echo $__env->yieldContent('modals'); ?>

    <!-- Scripts -->
    <script src="<?php echo e(mix('build/js/core.js')); ?>"></script>
    <script src="<?php echo e(mix('build/js/theme.js')); ?>"></script>
    <script src="<?php echo e(mix('build/js/vendor.js')); ?>"></script>
    <?php echo $__env->yieldContent('scripts'); ?>

    <script src="<?php echo e(mix('build/js/app.js')); ?>"></script>
</body>
</html>
