let mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

// Core Scripts for Every Page
mix.scripts([
  'resources/assets/lib/jquery/jquery.min.js',
], 'public/build/js/core.js')

// Theme Scripts
.scripts([
  'resources/assets/lib/jquery.nanoscroller/javascripts/jquery.nanoscroller.min.js',
  'resources/assets/lib/bootstrap/dist/js/bootstrap.min.js',
  'resources/assets/lib/datatables/js/jquery.dataTables.min.js',
  'resources/assets/lib/datatables/js/dataTables.bootstrap.min.js',
  'resources/assets/lib/select2/js/select2.min.js',
  'resources/assets/lib/jquery.gritter/js/jquery.gritter.js',
  'resources/assets/lib/parsley/parsley.min.js',
  'resources/assets/lib/jquery.niftymodals/dist/jquery.niftymodals.js',
  'resources/assets/js/main.js'
], 'public/build/js/theme.js')

// Vendor Scripts
.scripts([
  'node_modules/masonry-layout/dist/masonry.pkgd.js',
  'node_modules/list.js/dist/list.min.js',
], 'public/build/js/vendor.js')

// Application Scripts
.scripts([
  'resources/assets/js/forms.js',
  'resources/assets/js/app.js'
], 'public/build/js/app.js')

// Theme Styles
.styles([
  'resources/assets/lib/stroke-7/style.css',
  'resources/assets/lib/datatables/css/dataTables.bootstrap.min.css',
  'resources/assets/lib/select2/css/select2.min.css',
  'resources/assets/lib/jquery.gritter/css/jquery.gritter.css',
  'resources/assets/css/theme.css'
], 'public/build/css/theme.css')

// Fonts
.copy([
  "resources/assets/lib/bootstrap/dist/fonts",
  "resources/assets/lib/stroke-7/fonts",
  "resources/assets/lib/raleway",
  "resources/assets/lib/open-sans"
], "public/build/css/fonts")

// Application Styles
.sass('resources/assets/sass/app.scss', 'public/build/css')
.sourceMaps();
